summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJaehwan Kim <jae.hwan.kim@samsung.com>2013-04-08 08:55:51 +0900
committerJaehwan Kim <jae.hwan.kim@samsung.com>2013-04-08 08:55:51 +0900
commit62988ff772d47bd66ca76dfd138a1efc45513b6c (patch)
tree17854ba22b4a934300a0f4b929e2eb00f75de1a2
parentb121b5aa521aec25a9f6de7265aeeebbc23cf94c (diff)
Quit the scroll animator if the scroller don't have a bounce and reach a edge.
-rw-r--r--ChangeLog4
-rw-r--r--NEWS7
-rw-r--r--cmakeconfig/ElementaryConfig.cmake32
-rw-r--r--cmakeconfig/ElementaryConfigVersion.cmake11
-rw-r--r--data/objects/test_prefs.epbbin0 -> 2548 bytes
-rwxr-xr-xsrc/bin/elementary_codegen228
-rwxr-xr-xsrc/bin/elm_prefs_cc228
-rw-r--r--src/lib/elm_interface_scrollable.c4
8 files changed, 512 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index 22bf422c7..a72331586 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -800,3 +800,7 @@
8002013-04-04 Rafael Antognolli 8002013-04-04 Rafael Antognolli
801 801
802 * 1.7.6 release 802 * 1.7.6 release
803
8042013-04-08 Jaehwan Kim
805
806 * Quit the scroll animator if the scroller don't have a bounce and reach a edge.
diff --git a/NEWS b/NEWS
index 1bf12bfe7..a20fff3b1 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,10 @@
1Changes since Elementary 1.7.6:
2-------------------------
3
4Fixes:
5
6 * Quit the scroll animator if the scroller don't have a bounce and reach a edge.
7
1Elementary 1.7.6 8Elementary 1.7.6
2 9
3Changes since Elementary 1.7.5: 10Changes since Elementary 1.7.5:
diff --git a/cmakeconfig/ElementaryConfig.cmake b/cmakeconfig/ElementaryConfig.cmake
new file mode 100644
index 000000000..e41759dcb
--- /dev/null
+++ b/cmakeconfig/ElementaryConfig.cmake
@@ -0,0 +1,32 @@
1# - Try to find elementary
2# Once done this will define
3# ELEMENTARY_FOUND - System has elementary
4# ELEMENTARY_INCLUDE_DIRS - The elementary include directories
5# ELEMENTARY_LIBRARIES - The libraries needed to use elementary
6# ELEMENTARY_DEFINITIONS - Compiler switches required for using elementary
7
8set(MY_PKG elementary)
9
10find_package(PkgConfig)
11if ("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_GREATER "2.8.1")
12 # "QUIET" was introduced in 2.8.2
13 set(_QUIET QUIET)
14endif ()
15pkg_check_modules(PC_LIBELEMENTARY ${_QUIET} ${MY_PKG})
16
17find_library(ELEMENTARY_LIBRARY
18 NAMES ${PC_LIBELEMENTARY_LIBRARIES}
19 HINTS ${PC_LIBELEMENTARY_LIBDIR} ${PC_LIBELEMENTARY_LIBRARY_DIRS} )
20
21set(ELEMENTARY_DEFINITIONS ${PC_LIBELEMENTARY_CFLAGS_OTHER})
22set(ELEMENTARY_LIBRARIES ${ELEMENTARY_LIBRARY})
23set(ELEMENTARY_INCLUDE_DIRS ${PC_LIBELEMENTARY_INCLUDE_DIRS})
24
25include(FindPackageHandleStandardArgs)
26# handle the QUIETLY and REQUIRED arguments and set ELEMENTARY_FOUND to TRUE
27# if all listed variables are TRUE
28find_package_handle_standard_args(${MY_PKG} DEFAULT_MSG
29 ELEMENTARY_LIBRARIES ELEMENTARY_INCLUDE_DIRS)
30
31mark_as_advanced(ELEMENTARY_INCLUDE_DIRS ELEMENTARY_LIBRARY ELEMENTARY_LIBRARIES ELEMENTARY_DEFINITIONS)
32
diff --git a/cmakeconfig/ElementaryConfigVersion.cmake b/cmakeconfig/ElementaryConfigVersion.cmake
new file mode 100644
index 000000000..7eba1c62d
--- /dev/null
+++ b/cmakeconfig/ElementaryConfigVersion.cmake
@@ -0,0 +1,11 @@
1set(PACKAGE_VERSION "1.7.99.7628")
2
3# Check whether the requested PACKAGE_FIND_VERSION is compatible
4if ("${PACKAGE_VERSION}" VERSION_LESS "${PACKAGE_FIND_VERSION}")
5 set(PACKAGE_VERSION_COMPATIBLE FALSE)
6else ()
7 set(PACKAGE_VERSION_COMPATIBLE TRUE)
8 if ("${PACKAGE_VERSION}" VERSION_EQUAL "${PACKAGE_FIND_VERSION}")
9 set(PACKAGE_VERSION_EXACT TRUE)
10 endif ()
11endif ()
diff --git a/data/objects/test_prefs.epb b/data/objects/test_prefs.epb
new file mode 100644
index 000000000..76dde9241
--- /dev/null
+++ b/data/objects/test_prefs.epb
Binary files differ
diff --git a/src/bin/elementary_codegen b/src/bin/elementary_codegen
new file mode 100755
index 000000000..5d909ae86
--- /dev/null
+++ b/src/bin/elementary_codegen
@@ -0,0 +1,228 @@
1#! /bin/bash
2
3# elementary_codegen - temporary wrapper script for .libs/elementary_codegen
4# Generated by libtool (GNU libtool) 2.4.2 Debian-2.4.2-1ubuntu2
5#
6# The elementary_codegen program cannot be directly executed until all the libtool
7# libraries that it depends on are installed.
8#
9# This wrapper script should never be moved out of the build directory.
10# If it is, it will not operate correctly.
11
12# Sed substitution that helps us do robust quoting. It backslashifies
13# metacharacters that are still active within double-quoted strings.
14sed_quote_subst='s/\([`"$\\]\)/\\\1/g'
15
16# Be Bourne compatible
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24else
25 case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
26fi
27BIN_SH=xpg4; export BIN_SH # for Tru64
28DUALCASE=1; export DUALCASE # for MKS sh
29
30# The HP-UX ksh and POSIX shell print the target directory to stdout
31# if CDPATH is set.
32(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
33
34relink_command="(cd /home/jaehwan/slp/EFL/working/elementary_page/src/bin; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH || { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \"\${LD_LIBRARY_PATH+set}\" || unset LD_LIBRARY_PATH || { LD_LIBRARY_PATH=; export LD_LIBRARY_PATH; }; }; PATH=/home/jaehwan/bin:/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/home/jaehwan/sbs-install/bin:/home/jaehwan/tizen-sdk/tools:/home/jaehwan/bin; export PATH; gcc -std=gnu99 -g -O2 -Wshadow -Wall -W -o \$progdir/\$file elementary_codegen.o ../../src/lib/.libs/libelementary.so -L/usr/local/lib /usr/local/lib/libeweather.so /usr/local/lib/libedbus2.so /usr/local/lib/libefreet.so /usr/local/lib/libefreet_mime.so /usr/local/lib/libefreet_trash.so /usr/local/lib/libelocation.so /usr/local/lib/libemap.so /usr/local/lib/libeina.so -lpthread /usr/local/lib/libeet.so /usr/local/lib/libevas.so /usr/local/lib/libecore.so /usr/local/lib/libecore_evas.so /usr/local/lib/libecore_file.so /usr/local/lib/libecore_input.so /usr/local/lib/libedje.so /usr/local/lib/libeo.so /usr/local/lib/libeio.so -lm -pthread -Wl,-rpath -Wl,/home/jaehwan/slp/EFL/working/elementary_page/src/lib/.libs)"
35
36# This environment variable determines our operation mode.
37if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
38 # install mode needs the following variables:
39 generated_by_libtool_version='2.4.2'
40 notinst_deplibs=' ../../src/lib/libelementary.la'
41else
42 # When we are sourced in execute mode, $file and $ECHO are already set.
43 if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
44 file="$0"
45
46# A function that is used when there is no print builtin or printf.
47func_fallback_echo ()
48{
49 eval 'cat <<_LTECHO_EOF
50$1
51_LTECHO_EOF'
52}
53 ECHO="printf %s\\n"
54 fi
55
56# Very basic option parsing. These options are (a) specific to
57# the libtool wrapper, (b) are identical between the wrapper
58# /script/ and the wrapper /executable/ which is used only on
59# windows platforms, and (c) all begin with the string --lt-
60# (application programs are unlikely to have options which match
61# this pattern).
62#
63# There are only two supported options: --lt-debug and
64# --lt-dump-script. There is, deliberately, no --lt-help.
65#
66# The first argument to this parsing function should be the
67# script's ../../libtool value, followed by no.
68lt_option_debug=
69func_parse_lt_options ()
70{
71 lt_script_arg0=$0
72 shift
73 for lt_opt
74 do
75 case "$lt_opt" in
76 --lt-debug) lt_option_debug=1 ;;
77 --lt-dump-script)
78 lt_dump_D=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
79 test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
80 lt_dump_F=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%^.*/%%'`
81 cat "$lt_dump_D/$lt_dump_F"
82 exit 0
83 ;;
84 --lt-*)
85 $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
86 exit 1
87 ;;
88 esac
89 done
90
91 # Print the debug banner immediately:
92 if test -n "$lt_option_debug"; then
93 echo "elementary_codegen:elementary_codegen:${LINENO}: libtool wrapper (GNU libtool) 2.4.2 Debian-2.4.2-1ubuntu2" 1>&2
94 fi
95}
96
97# Used when --lt-debug. Prints its arguments to stdout
98# (redirection is the responsibility of the caller)
99func_lt_dump_args ()
100{
101 lt_dump_args_N=1;
102 for lt_arg
103 do
104 $ECHO "elementary_codegen:elementary_codegen:${LINENO}: newargv[$lt_dump_args_N]: $lt_arg"
105 lt_dump_args_N=`expr $lt_dump_args_N + 1`
106 done
107}
108
109# Core function for launching the target application
110func_exec_program_core ()
111{
112
113 if test -n "$lt_option_debug"; then
114 $ECHO "elementary_codegen:elementary_codegen:${LINENO}: newargv[0]: $progdir/$program" 1>&2
115 func_lt_dump_args ${1+"$@"} 1>&2
116 fi
117 exec "$progdir/$program" ${1+"$@"}
118
119 $ECHO "$0: cannot exec $program $*" 1>&2
120 exit 1
121}
122
123# A function to encapsulate launching the target application
124# Strips options in the --lt-* namespace from $@ and
125# launches target application with the remaining arguments.
126func_exec_program ()
127{
128 case " $* " in
129 *\ --lt-*)
130 for lt_wr_arg
131 do
132 case $lt_wr_arg in
133 --lt-*) ;;
134 *) set x "$@" "$lt_wr_arg"; shift;;
135 esac
136 shift
137 done ;;
138 esac
139 func_exec_program_core ${1+"$@"}
140}
141
142 # Parse options
143 func_parse_lt_options "$0" ${1+"$@"}
144
145 # Find the directory that this script lives in.
146 thisdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'`
147 test "x$thisdir" = "x$file" && thisdir=.
148
149 # Follow symbolic links until we get to the real thisdir.
150 file=`ls -ld "$file" | /bin/sed -n 's/.*-> //p'`
151 while test -n "$file"; do
152 destdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'`
153
154 # If there was a directory component, then change thisdir.
155 if test "x$destdir" != "x$file"; then
156 case "$destdir" in
157 [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
158 *) thisdir="$thisdir/$destdir" ;;
159 esac
160 fi
161
162 file=`$ECHO "$file" | /bin/sed 's%^.*/%%'`
163 file=`ls -ld "$thisdir/$file" | /bin/sed -n 's/.*-> //p'`
164 done
165
166 # Usually 'no', except on cygwin/mingw when embedded into
167 # the cwrapper.
168 WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
169 if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
170 # special case for '.'
171 if test "$thisdir" = "."; then
172 thisdir=`pwd`
173 fi
174 # remove .libs from thisdir
175 case "$thisdir" in
176 *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /bin/sed 's%[\\/][^\\/]*$%%'` ;;
177 .libs ) thisdir=. ;;
178 esac
179 fi
180
181 # Try to get the absolute directory name.
182 absdir=`cd "$thisdir" && pwd`
183 test -n "$absdir" && thisdir="$absdir"
184
185 program=lt-'elementary_codegen'
186 progdir="$thisdir/.libs"
187
188 if test ! -f "$progdir/$program" ||
189 { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /bin/sed 1q`; \
190 test "X$file" != "X$progdir/$program"; }; then
191
192 file="$$-$program"
193
194 if test ! -d "$progdir"; then
195 mkdir "$progdir"
196 else
197 rm -f "$progdir/$file"
198 fi
199
200 # relink executable if necessary
201 if test -n "$relink_command"; then
202 if relink_command_output=`eval $relink_command 2>&1`; then :
203 else
204 printf %s\n "$relink_command_output" >&2
205 rm -f "$progdir/$file"
206 exit 1
207 fi
208 fi
209
210 mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
211 { rm -f "$progdir/$program";
212 mv -f "$progdir/$file" "$progdir/$program"; }
213 rm -f "$progdir/$file"
214 fi
215
216 if test -f "$progdir/$program"; then
217 if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
218 # Run the actual program with our arguments.
219 func_exec_program ${1+"$@"}
220 fi
221 else
222 # The program doesn't exist.
223 $ECHO "$0: error: \`$progdir/$program' does not exist" 1>&2
224 $ECHO "This script is just a wrapper for $program." 1>&2
225 $ECHO "See the libtool documentation for more information." 1>&2
226 exit 1
227 fi
228fi
diff --git a/src/bin/elm_prefs_cc b/src/bin/elm_prefs_cc
new file mode 100755
index 000000000..75340f913
--- /dev/null
+++ b/src/bin/elm_prefs_cc
@@ -0,0 +1,228 @@
1#! /bin/bash
2
3# elm_prefs_cc - temporary wrapper script for .libs/elm_prefs_cc
4# Generated by libtool (GNU libtool) 2.4.2 Debian-2.4.2-1ubuntu2
5#
6# The elm_prefs_cc program cannot be directly executed until all the libtool
7# libraries that it depends on are installed.
8#
9# This wrapper script should never be moved out of the build directory.
10# If it is, it will not operate correctly.
11
12# Sed substitution that helps us do robust quoting. It backslashifies
13# metacharacters that are still active within double-quoted strings.
14sed_quote_subst='s/\([`"$\\]\)/\\\1/g'
15
16# Be Bourne compatible
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24else
25 case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
26fi
27BIN_SH=xpg4; export BIN_SH # for Tru64
28DUALCASE=1; export DUALCASE # for MKS sh
29
30# The HP-UX ksh and POSIX shell print the target directory to stdout
31# if CDPATH is set.
32(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
33
34relink_command="(cd /home/jaehwan/slp/EFL/working/elementary_page/src/bin; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH || { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \"\${LD_LIBRARY_PATH+set}\" || unset LD_LIBRARY_PATH || { LD_LIBRARY_PATH=; export LD_LIBRARY_PATH; }; }; PATH=/home/jaehwan/bin:/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/home/jaehwan/sbs-install/bin:/home/jaehwan/tizen-sdk/tools:/home/jaehwan/bin; export PATH; gcc -std=gnu99 -g -O2 -Wshadow -Wall -W -o \$progdir/\$file elm_prefs_cc.o elm_prefs_cc_mem.o elm_prefs_cc_out.o elm_prefs_cc_parse.o elm_prefs_cc_handlers.o ../../src/lib/.libs/libelementary.so -L/usr/local/lib /usr/local/lib/libeina.so -lpthread /usr/local/lib/libeet.so /usr/local/lib/libevas.so /usr/local/lib/libecore.so /usr/local/lib/libecore_evas.so /usr/local/lib/libecore_file.so /usr/local/lib/libecore_input.so /usr/local/lib/libedje.so /usr/local/lib/libeo.so /usr/local/lib/libeio.so -lm -pthread -Wl,-rpath -Wl,/home/jaehwan/slp/EFL/working/elementary_page/src/lib/.libs)"
35
36# This environment variable determines our operation mode.
37if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
38 # install mode needs the following variables:
39 generated_by_libtool_version='2.4.2'
40 notinst_deplibs=' ../../src/lib/libelementary.la'
41else
42 # When we are sourced in execute mode, $file and $ECHO are already set.
43 if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
44 file="$0"
45
46# A function that is used when there is no print builtin or printf.
47func_fallback_echo ()
48{
49 eval 'cat <<_LTECHO_EOF
50$1
51_LTECHO_EOF'
52}
53 ECHO="printf %s\\n"
54 fi
55
56# Very basic option parsing. These options are (a) specific to
57# the libtool wrapper, (b) are identical between the wrapper
58# /script/ and the wrapper /executable/ which is used only on
59# windows platforms, and (c) all begin with the string --lt-
60# (application programs are unlikely to have options which match
61# this pattern).
62#
63# There are only two supported options: --lt-debug and
64# --lt-dump-script. There is, deliberately, no --lt-help.
65#
66# The first argument to this parsing function should be the
67# script's ../../libtool value, followed by no.
68lt_option_debug=
69func_parse_lt_options ()
70{
71 lt_script_arg0=$0
72 shift
73 for lt_opt
74 do
75 case "$lt_opt" in
76 --lt-debug) lt_option_debug=1 ;;
77 --lt-dump-script)
78 lt_dump_D=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
79 test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
80 lt_dump_F=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%^.*/%%'`
81 cat "$lt_dump_D/$lt_dump_F"
82 exit 0
83 ;;
84 --lt-*)
85 $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
86 exit 1
87 ;;
88 esac
89 done
90
91 # Print the debug banner immediately:
92 if test -n "$lt_option_debug"; then
93 echo "elm_prefs_cc:elm_prefs_cc:${LINENO}: libtool wrapper (GNU libtool) 2.4.2 Debian-2.4.2-1ubuntu2" 1>&2
94 fi
95}
96
97# Used when --lt-debug. Prints its arguments to stdout
98# (redirection is the responsibility of the caller)
99func_lt_dump_args ()
100{
101 lt_dump_args_N=1;
102 for lt_arg
103 do
104 $ECHO "elm_prefs_cc:elm_prefs_cc:${LINENO}: newargv[$lt_dump_args_N]: $lt_arg"
105 lt_dump_args_N=`expr $lt_dump_args_N + 1`
106 done
107}
108
109# Core function for launching the target application
110func_exec_program_core ()
111{
112
113 if test -n "$lt_option_debug"; then
114 $ECHO "elm_prefs_cc:elm_prefs_cc:${LINENO}: newargv[0]: $progdir/$program" 1>&2
115 func_lt_dump_args ${1+"$@"} 1>&2
116 fi
117 exec "$progdir/$program" ${1+"$@"}
118
119 $ECHO "$0: cannot exec $program $*" 1>&2
120 exit 1
121}
122
123# A function to encapsulate launching the target application
124# Strips options in the --lt-* namespace from $@ and
125# launches target application with the remaining arguments.
126func_exec_program ()
127{
128 case " $* " in
129 *\ --lt-*)
130 for lt_wr_arg
131 do
132 case $lt_wr_arg in
133 --lt-*) ;;
134 *) set x "$@" "$lt_wr_arg"; shift;;
135 esac
136 shift
137 done ;;
138 esac
139 func_exec_program_core ${1+"$@"}
140}
141
142 # Parse options
143 func_parse_lt_options "$0" ${1+"$@"}
144
145 # Find the directory that this script lives in.
146 thisdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'`
147 test "x$thisdir" = "x$file" && thisdir=.
148
149 # Follow symbolic links until we get to the real thisdir.
150 file=`ls -ld "$file" | /bin/sed -n 's/.*-> //p'`
151 while test -n "$file"; do
152 destdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'`
153
154 # If there was a directory component, then change thisdir.
155 if test "x$destdir" != "x$file"; then
156 case "$destdir" in
157 [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
158 *) thisdir="$thisdir/$destdir" ;;
159 esac
160 fi
161
162 file=`$ECHO "$file" | /bin/sed 's%^.*/%%'`
163 file=`ls -ld "$thisdir/$file" | /bin/sed -n 's/.*-> //p'`
164 done
165
166 # Usually 'no', except on cygwin/mingw when embedded into
167 # the cwrapper.
168 WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
169 if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
170 # special case for '.'
171 if test "$thisdir" = "."; then
172 thisdir=`pwd`
173 fi
174 # remove .libs from thisdir
175 case "$thisdir" in
176 *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /bin/sed 's%[\\/][^\\/]*$%%'` ;;
177 .libs ) thisdir=. ;;
178 esac
179 fi
180
181 # Try to get the absolute directory name.
182 absdir=`cd "$thisdir" && pwd`
183 test -n "$absdir" && thisdir="$absdir"
184
185 program=lt-'elm_prefs_cc'
186 progdir="$thisdir/.libs"
187
188 if test ! -f "$progdir/$program" ||
189 { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /bin/sed 1q`; \
190 test "X$file" != "X$progdir/$program"; }; then
191
192 file="$$-$program"
193
194 if test ! -d "$progdir"; then
195 mkdir "$progdir"
196 else
197 rm -f "$progdir/$file"
198 fi
199
200 # relink executable if necessary
201 if test -n "$relink_command"; then
202 if relink_command_output=`eval $relink_command 2>&1`; then :
203 else
204 printf %s\n "$relink_command_output" >&2
205 rm -f "$progdir/$file"
206 exit 1
207 fi
208 fi
209
210 mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
211 { rm -f "$progdir/$program";
212 mv -f "$progdir/$file" "$progdir/$program"; }
213 rm -f "$progdir/$file"
214 fi
215
216 if test -f "$progdir/$program"; then
217 if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
218 # Run the actual program with our arguments.
219 func_exec_program ${1+"$@"}
220 fi
221 else
222 # The program doesn't exist.
223 $ECHO "$0: error: \`$progdir/$program' does not exist" 1>&2
224 $ECHO "This script is just a wrapper for $program." 1>&2
225 $ECHO "See the libtool documentation for more information." 1>&2
226 exit 1
227 fi
228fi
diff --git a/src/lib/elm_interface_scrollable.c b/src/lib/elm_interface_scrollable.c
index 3bced6b63..42bdeb2b6 100644
--- a/src/lib/elm_interface_scrollable.c
+++ b/src/lib/elm_interface_scrollable.c
@@ -1833,12 +1833,12 @@ _elm_scroll_momentum_animator(void *data)
1833 _elm_scroll_wanted_coordinates_update(sid, x, y); 1833 _elm_scroll_wanted_coordinates_update(sid, x, y);
1834 psd->api->pos_max_get(sid->pan_obj, &maxx, &maxy); 1834 psd->api->pos_max_get(sid->pan_obj, &maxx, &maxy);
1835 psd->api->pos_min_get(sid->pan_obj, &minx, &miny); 1835 psd->api->pos_min_get(sid->pan_obj, &minx, &miny);
1836 if (!sid->bounce_horiz) 1836 if (!_elm_config->thumbscroll_bounce_enable || !sid->bounce_horiz)
1837 { 1837 {
1838 if (x <= minx) no_bounce_x_end = EINA_TRUE; 1838 if (x <= minx) no_bounce_x_end = EINA_TRUE;
1839 if ((x - minx) >= maxx) no_bounce_x_end = EINA_TRUE; 1839 if ((x - minx) >= maxx) no_bounce_x_end = EINA_TRUE;
1840 } 1840 }
1841 if (!sid->bounce_vert) 1841 if (!_elm_config->thumbscroll_bounce_enable || !sid->bounce_vert)
1842 { 1842 {
1843 if (y <= miny) no_bounce_y_end = EINA_TRUE; 1843 if (y <= miny) no_bounce_y_end = EINA_TRUE;
1844 if ((y - miny) >= maxy) no_bounce_y_end = EINA_TRUE; 1844 if ((y - miny) >= maxy) no_bounce_y_end = EINA_TRUE;